[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#619974: nmu: qscintilla2_2.4.3-1+b1

On 03/30/2011 07:11 AM, Adam D. Barratt wrote:
> On Mon, 2011-03-28 at 12:19 -0700, Ludovico Cavedon wrote:
>> nmu qscintilla2_2.4.3-1+b1 . alpha amd64 sparc64 . -m "Package rebuild. (Closes: #619096)."
> sparc64 isn't an official Debian architecture, so we can't schedule
> binNMUs there; you'd need to talk to the port maintainers.


> The +b1 binNMUs on alpha and amd64 were scheduled at the same time, and
> for the same reason, as the +b2s on the other architectures, namely to
> update the python-sip dependencies; the fact that they're +b1 doesn't
> imply that they're out-of-date.

I see.
I cannot tell for the alpha build, but the amd64 binary needs to be
rebuilt because of the python-qt4 ABI change :(

> The real problem appears to be that the python-qt4 libraries break ABI
> without providing any indication of that fact to reverse-dependencies.
> That should really be fixed so that the r-deps don't just break with no
> warning.

CCing python-qt4 maintainers.


Reply to: